Last Comment Bug 756844 - Intermittent test_browserFrame9.html | First Screenshot is not blank and/or | Screenshots differ
: Intermittent test_browserFrame9.html | First Screenshot is not blank and/or |...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla15
Assigned To: Dale Harvey (:daleharvey)
:
Mentors:
Depends on:
Blocks: 438871 753595
  Show dependency treegraph
 
Reported: 2012-05-19 23:26 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix expectation of getScreenshot api (3.13 KB, patch)
2012-05-22 05:39 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review-
Details | Diff | Review
fix expectation of getScreenshot api (2.84 KB, patch)
2012-05-22 07:08 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review+
Details | Diff | Review
fix expectation of getScreenshot api (2.82 KB, patch)
2012-05-22 07:50 PDT, Dale Harvey (:daleharvey)
no flags Details | Diff | Review
fix expectation of getScreenshot api (3.01 KB, patch)
2012-05-23 17:47 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review+
Details | Diff | Review
Change test strategy for screenshot API (3.62 KB, patch)
2012-05-29 17:58 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review+
Details | Diff | Review
Change test strategy for screenshot API (3.42 KB, patch)
2012-05-30 17:20 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review+
Details | Diff | Review

Description Phil Ringnalda (:philor) 2012-05-19 23:26:48 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11897835&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitests-3/5 on 2012-05-19 22:00:37 PDT for push 8f1c93b5b549
slave: talos-r3-fed64-051

3413 INFO TEST-START | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html
creating 1!
[TabChild] SHOW (w,h)= (0, 0)
loading about:blank, 1
loading data:text/html,<html><body%20style="background:green">hello</body></html>, 1
loading data:text/html,<html><body%20style="background:blue">hello</body></html>, 1
3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
3416 INFO TEST-END | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | finished in 69ms

https://tbpl.mozilla.org/php/getParsedLog.php?id=11891448&tree=Services-Central
Rev3 Fedora 12x64 services-central debug test mochitests-3/5 on 2012-05-19 09:52:44 PDT for push a0d9e03ba59f
slave: talos-r3-fed64-016

3413 INFO TEST-START | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html
++DOMWINDOW == 45 (0x3d44198) [serial = 750] [outer = 0xfeada0]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 160: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 170: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 160: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 160: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 160: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(domWindow) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 123
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(domWindow) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 123
[Child 2324] WARNING: NS_ENSURE_TRUE(inBrowser) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 119
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(domWindow) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 123
[Child 2324] WARNING: NS_ENSURE_TRUE(inBrowser) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 119
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(mDocShell) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsWebBrowser.cpp, line 407
[Child 2324] WARNING: NS_ENSURE_TRUE(domWindow) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 123
[Child 2324] WARNING: NS_ENSURE_TRUE(inBrowser) failed: file /builds/slave/srv-cen-lnx64-dbg/build/embedding/browser/webBrowser/nsDocShellTreeOwner.cpp, line 119
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 170: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
creating 1!
[TabChild] SHOW (w,h)= (0, 0)
[Child 2324] WARNING: nsWindow::GetNativeData not implemented for this type: file /builds/slave/srv-cen-lnx64-dbg/build/widget/xpwidgets/PuppetWidget.cpp, line 611
++DOCSHELL 0x2856860 == 9 [id = 9]
++DOMWINDOW == 24 (0x25a3a88) [serial = 24] [outer = (nil)]
++DOMWINDOW == 25 (0x26260b8) [serial = 25] [outer = 0x25a3a10]
loading about:blank, 1
loading data:text/html,<html><body%20style="background:green">hello</body></html>, 1
loading data:text/html,<html><body%20style="background:blue">hello</body></html>, 1
++DOMWINDOW == 26 (0x2750708) [serial = 26] [outer = 0x25a3a10]
[TabChild] Update Dimensions to (x,y,w,h)= (0d, 25d, 780d, 1112d) and move to (w,h)= (0d, 0d)
[TabChild] Update Dimensions to (x,y,w,h)= (0d, 25d, 780d, 1112d) and move to (w,h)= (300d, 150d)
3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
3416 INFO TEST-END | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | finished in 196ms
Comment 1 Dale Harvey (:daleharvey) 2012-05-20 06:59:41 PDT
Ok, Sorry about that, and thanks for the heads up, will get this fixed asap

Justin, Where is the best place for me to learn about the exact ordering of the various events? the only way this can fail is if painting occurs after mozloadend
Comment 2 Treeherder Robot 2012-05-20 08:02:10 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11902302&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-20 06:54:55
slave: talos-r3-fed-071

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13232 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_screenClientXYConst.html: screenX should be equal to where the mouse was originaly locked - got 250, expected 254
13233 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_screenClientXYConst.html: screenY should be equal to where the mouse was originaly locked - got 266, expected 311
13249 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementX should be equal to eNow.screenX-ePrevious.screenX - got 10, expected 6
13250 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementY should be equal to eNow.screenY-ePrevious.screenY - got 10, expected -35
Comment 3 Justin Lebar (not reading bugmail) 2012-05-20 08:20:28 PDT
> Justin, Where is the best place for me to learn about the exact ordering of the various events? 
> the only way this can fail is if painting occurs after mozloadend

Yes, right.

Reftest has to solve this problem somehow.  See layout/tools/reftest/reftest{,-content}.js.  It looks...complicated.

I wonder if we could synchronously force a paint before we take a screenshot.  That would be nice.

An alternative would be to force a repaint after mozbrowserloadend.  Then we'd be guaranteed to get a MozAfterPaint.

Otherwise, maybe you could hack the test by injecting a script into the iframe that listens to mozpaint and sends you a message when it happens...  The trick is, you want to take a screenshot after the first mozpaint which happens after X, where X indicates that we've finished building up the page, in some sense.  And I'm not sure what X is!

dholbert, do you have any thoughts here?  This test is doing canvas.drawWindow inside a child process.  Right now it's doing that after onload, but that's clearly not right.
Comment 4 Treeherder Robot 2012-05-20 22:23:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11908188&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-3/5 on 2012-05-20 21:58:34
slave: talos-r3-fed-023

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 5 Treeherder Robot 2012-05-20 22:59:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11908492&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-20 22:40:42
slave: talos-r3-fed-052

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13250 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementY should be equal to eNow.screenY-ePrevious.screenY - got 10, expected -35
Comment 6 Treeherder Robot 2012-05-21 05:25:27 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11913943&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitests-3/5 on 2012-05-21 05:02:22
slave: talos-r3-fed64-058

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 7 Treeherder Robot 2012-05-21 07:01:17 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11915464&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 06:05:03
slave: talos-r3-fed64-023

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 8 Dale Harvey (:daleharvey) 2012-05-21 07:08:32 PDT
the X we need to wait after right now is iframe.src = 'some html', in future it may be any of iframe.go / iframe.goBack etc

We need any event that is fired from all of these, and doesnt return to the userland until we have set the _painted flag

The additional methods (go / reload etc) we will be implementing in the wrapper and so can set the painted flag synchronously, the only issue is whether we still support .setAttribute('src' on the iframe, and if so how do I hook into that to invalidate the flag

The original STATE_START method might be good for that, even better would be the onLocationChange (we dont care if we invalidate _painted too often), the only question is whether they are guaranteed to be fired before .src = returns, which since we are on a single process seem like a safe assumption, but at the same time it still doesnt feel clean.

But beginning to get a bit lost trying to find the right + clean solution, a lot of the tests look to be waiting for mozpaint manually, some are even just setTimeouting
Comment 9 Justin Lebar (not reading bugmail) 2012-05-21 07:13:57 PDT
> the X we need to wait after right now is iframe.src = 'some html'

That's the right idea, but it's not quite right.

iframe.src=foo can trigger an asynchronous operation.  (In fact, I think it almost always does, even for data: URIs.)  So suppose your iframe is at a page with some animated GIFs and you do iframe.src=foo.  There's no reason that the next mozpaint after setting iframe.src will correspond to foo and not to the page with the animated GIFs.
Comment 10 Treeherder Robot 2012-05-21 07:28:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11916661&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 07:05:19
slave: talos-r3-fed64-071

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 11 Treeherder Robot 2012-05-21 07:35:29 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11916774&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-21 07:16:53
slave: talos-r3-fed-057

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 12 Treeherder Robot 2012-05-21 07:55:28 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11915582&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2012-05-21 06:20:48
slave: talos-r3-fed-037

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 13 Treeherder Robot 2012-05-21 07:57:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11917254&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-21 07:41:26
slave: talos-r3-fed64-026

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 14 Treeherder Robot 2012-05-21 09:33:09 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11918332&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 08:33:44
slave: talos-r3-fed64-045

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 15 Treeherder Robot 2012-05-21 10:42:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11920430&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-21 10:25:43
slave: talos-r3-fed-019

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13249 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementX should be equal to eNow.screenX-ePrevious.screenX - got 10, expected 6
13250 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementY should be equal to eNow.screenY-ePrevious.screenY - got 10, expected -35
Comment 16 Treeherder Robot 2012-05-21 11:59:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11921504&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 11:26:38
slave: talos-r3-fed-021

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 17 Treeherder Robot 2012-05-21 12:07:05 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11921722&tree=Try
Rev3 Fedora 12x64 try debug test mochitests-3/5 on 2012-05-21 11:38:25
slave: talos-r3-fed64-050

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 18 Treeherder Robot 2012-05-21 13:39:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11923460&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-21 13:20:38
slave: talos-r3-fed64-008

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13249 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementX should be equal to eNow.screenX-ePrevious.screenX - got 10, expected 6
13250 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementY should be equal to eNow.screenY-ePrevious.screenY - got 10, expected -35
Comment 19 Treeherder Robot 2012-05-21 15:40:54 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11926899&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-21 15:23:55
slave: talos-r3-fed64-044

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 20 Dale Harvey (:daleharvey) 2012-05-21 16:32:45 PDT
Ok, how about getScreenshot stays as is and takes a screenshot at the moment it is called

And in the test we do the set flag on loadstart, wait for at least a loadend + aftermozpaint, and we enable aftermozpaint in b2g? Its disabled for a security leak, but the leak is much less than we are already exposing via getScreenshot anyway

or we could just enable aftermozpaint for the tests, but I would kind a like to get screenshots consistently in the browser app as well.
Comment 21 Dale Harvey (:daleharvey) 2012-05-21 16:35:40 PDT
I forgot to mention, this is mostly copying android firefox, and not entirely sure loadend + aftermozpoint is required, it looks like the first aftermozpaint proceeding loadstart will do
Comment 22 Treeherder Robot 2012-05-21 16:47:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11928850&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 16:22:44
slave: talos-r3-fed64-039

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 23 Treeherder Robot 2012-05-21 18:52:18 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11932763&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitests-3/5 on 2012-05-21 18:25:33
slave: talos-r3-fed-028

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 24 Treeherder Robot 2012-05-21 19:13:05 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11933431&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-21 18:57:17
slave: talos-r3-fed-040

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 25 Treeherder Robot 2012-05-21 21:02:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11934200&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test mochitests-3/5 on 2012-05-21 19:21:15
slave: talos-r3-fed64-047

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 26 Justin Lebar (not reading bugmail) 2012-05-21 22:02:18 PDT
I'm out of my depth here; we could really use some help from the layout team understanding how this is supposed to work.  (Looks like I tried to cc dholbert earlier but failed.)

Could you point me to where you heard about disabling mozafterpaint?  I understand disabling it for content, but we should be able to leave it enabled for chrome...

> And in the test we do the set flag on loadstart, wait for at least a loadend + aftermozpaint, and 
> we enable aftermozpaint in b2g?

I haven't done a good job explaining why I think this may be problematic.  Let me try again:

mozafterpaint is pretty asynchronous; exactly how asynchronous it is, I don't know.  But we know because this bug exists that sometimes our document isn't painted until after onload, and other times our document is painted before onload.  (Our mozbrowserloadend event happens a bit after onload.)

The problem is, I think we may paint the page in an incomplete state (*).  We could paint after the load starts, but before everything is set up in your test page.  What we really want is a paint after onload, at which point we know everything is set up (**).  But of course we can't guarantee that we will *get* a paint event after onload, because we might have painted everything before then!  (Unless we put an animation in the page, was the hack I suggested.)

This would all be easy if we could just say "paint now; I'll wait."  Or even "paint sometime soon, and give me a callback once you've done so."  Either one of those would fix the test and the screenshot API.  Maybe there's an existing API we can frob.

(*) But maybe roc can explain this, because I actually have no idea.
(**) At least, everything in the DOM is set up at this point.  I presume layout is in sync?
Comment 27 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-05-21 22:25:33 PDT
Can you use DOMWindowUtils::isMozAfterPaintPending?
Comment 28 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-05-21 22:29:44 PDT
Basically I think you should
a) install MozAfterPaint listener on the toplevel browser window
b) wait for onload to fire
c) then check isMozAfterPaintPending. If it is, wait for the next MozAfterPaint event to fire and take the screenshot. Otherwise, take the screenshot now.
Comment 29 Treeherder Robot 2012-05-22 00:11:22 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=11940711&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test mochitests-3/5 on 2012-05-21 23:54:56
slave: talos-r3-fed-013

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 30 Treeherder Robot 2012-05-22 01:10:01 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=11941515&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitests-3/5 on 2012-05-22 00:39:54
slave: talos-r3-fed-022

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 31 Treeherder Robot 2012-05-22 03:11:34 PDT
gps
https://tbpl.mozilla.org/php/getParsedLog.php?id=11942774&tree=Services-Central
Rev3 Fedora 12x64 services-central opt test mochitests-3/5 on 2012-05-22 02:13:03
slave: talos-r3-fed64-027

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13249 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementX should be equal to eNow.screenX-ePrevious.screenX - got 10, expected 6
13250 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_movementXY.html: mozMovementY should be equal to eNow.screenY-ePrevious.screenY - got 10, expected -35
Comment 32 Treeherder Robot 2012-05-22 03:12:27 PDT
gps
https://tbpl.mozilla.org/php/getParsedLog.php?id=11942945&tree=Services-Central
Rev3 Fedora 12x64 services-central debug test mochitests-3/5 on 2012-05-22 02:14:38
slave: talos-r3-fed64-054

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 33 Treeherder Robot 2012-05-22 03:45:00 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11944224&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test mochitests-3/5 on 2012-05-22 03:17:46
slave: talos-r3-fed-024

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 34 Treeherder Robot 2012-05-22 04:22:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11945064&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-22 04:03:45
slave: talos-r3-fed-053

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 35 Dale Harvey (:daleharvey) 2012-05-22 04:28:11 PDT
Sorry I wasnt clear, I meant to propose that we allow content to listen to mozafterevent, specifically the parent window

> iframe.addEventListener('MozAfterPaint', ....

Its exposing the security leak that mozafterpaint was disabled (on content) for, but that leak is a subset of being able to take screenshots anyway (https://bugzilla.mozilla.org/show_bug.cgi?id=608030)

I think its wrong for us to be doing weird mechanics to determine when is the best time to take a screenshot, but if we dont do it the caller needs to have the information to make the decision
Comment 36 Dale Harvey (:daleharvey) 2012-05-22 04:30:27 PDT
s/to listen to mozafterevent/to listen to mozafterpaint
Comment 37 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-05-22 04:37:32 PDT
I don't know what your test is supposed to be testing, so I don't know when you need to grab your screenshot.

If you control the pages being loaded, maybe you can have those pages signal the container to take a screenshot when they're ready, using postMessage or something like that?
Comment 38 Dale Harvey (:daleharvey) 2012-05-22 04:42:32 PDT
The test is testing that when we make changes to the iframes content, we see those changes in subsequent screenshots, we want to be able to keep an uptodate screenshot (so that we dont have screenshots of loading pages for example)

We dont control the pages being loaded, this is being added for the browser in b2g, that will load arbitrary webpages
Comment 39 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-05-22 04:53:06 PDT
What does it mean to have "an up to date screenshot"? The DOM "load" event has fired?
Comment 40 Dale Harvey (:daleharvey) 2012-05-22 05:25:25 PDT
No, just that its contents has changed, if I take a screenshot of a page and its contents completely changes, I would like the ability to know that the screenshot is outdated. That is a seperate issue to whether to block the screenshot till load, however it would have also fixed this problem.

But sorry for drawing this bug out, basically the assumptions of the test are wrong, getScreenshot works as it should do, and if we want the ability to listen for updates or block for the first paint after load (we might not want to) then they are seperate issues, attaching an updated test that fixes the tests assumptions.
Comment 41 Dale Harvey (:daleharvey) 2012-05-22 05:39:47 PDT
Created attachment 625980 [details] [diff] [review]
fix expectation of getScreenshot api
Comment 42 Justin Lebar (not reading bugmail) 2012-05-22 06:42:51 PDT
Comment on attachment 625980 [details] [diff] [review]
fix expectation of getScreenshot api

The point with the animation hack was that you'd take the screenshot after the first paint *after loadend*.  It looks like here you're taking the screenshot after the first paint after setting the src.

I don't see why roc's suggestion in comment 28 doesn't work.
Comment 43 Dale Harvey (:daleharvey) 2012-05-22 07:08:00 PDT
Created attachment 625995 [details] [diff] [review]
fix expectation of getScreenshot api

Sorry assumed the paintpending comment was meaning we go back to blocking the getScreenshot method until page load, which isnt going to work.

For blocking the call to getScreenshot, it works well though, same idea as my last patch but cleaner
Comment 44 Justin Lebar (not reading bugmail) 2012-05-22 07:27:55 PDT
Comment on attachment 625995 [details] [diff] [review]
fix expectation of getScreenshot api

> SimpleTest.waitForExplicitFinish();
> 
>+var iframeScript = function() {
>+  const CI = Components.interfaces;

Nit: We idiomatically use |Ci|.

>+  function painted() {
>+    sendAsyncMessage('test:mozpainted');
>+  }
>+  content.addEventListener("MozAfterPaint", painted, false);
>+  var utils = content.QueryInterface(CI.nsIInterfaceRequestor)
>+    .getInterface(CI.nsIDOMWindowUtils);
>+  if (!utils.isMozAfterPaintPending) {
>+    content.removeEventListener("MozAfterPaint", painted, false);
>+    sendAsyncMessage('test:mozpainted');
>+  }

I'd prefer if we did this in the opposite order -- don't add the event listener if we're just going to remove it -- but whatever.  :)

Let's push this to try and trigger a bunch of test runs.
Comment 45 Dale Harvey (:daleharvey) 2012-05-22 07:50:26 PDT
Created attachment 626006 [details] [diff] [review]
fix expectation of getScreenshot api

Addressed those fixes

Will push to try
Comment 46 Treeherder Robot 2012-05-22 07:51:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11949511&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-22 07:26:49
slave: talos-r3-fed64-049

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 47 Treeherder Robot 2012-05-22 08:39:29 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=11942747&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2012-05-22 02:11:46
slave: talos-r3-fed-007

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
13233 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/pointerlock/test_pointerlock-api.html | file_screenClientXYConst.html: screenY should be equal to where the mouse was originaly locked - got 266, expected 311
Comment 48 Treeherder Robot 2012-05-22 12:25:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11955752&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-22 11:55:37
slave: talos-r3-fed-074

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 49 Treeherder Robot 2012-05-22 13:10:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11957204&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-22 12:39:30
slave: talos-r3-fed64-048

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 50 Dale Harvey (:daleharvey) 2012-05-22 13:35:41 PDT
pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=72850012bd15
Comment 51 Treeherder Robot 2012-05-22 15:12:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11961075&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-22 14:51:39
slave: talos-r3-fed-061

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 52 Treeherder Robot 2012-05-22 15:36:21 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11961867&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-22 15:20:10
slave: talos-r3-fed64-025

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 53 Treeherder Robot 2012-05-22 15:36:38 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11961867&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-22 15:20:10
slave: talos-r3-fed64-025

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 54 Treeherder Robot 2012-05-22 15:57:12 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11962497&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-22 15:30:52
slave: talos-r3-fed64-041

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 55 Treeherder Robot 2012-05-22 15:57:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11962497&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-22 15:30:52
slave: talos-r3-fed64-041

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 56 Treeherder Robot 2012-05-22 16:06:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11962915&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-22 15:50:23
slave: talos-r3-fed64-062

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 57 Treeherder Robot 2012-05-22 19:48:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11969739&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitests-3/5 on 2012-05-22 19:22:01
slave: talos-r3-fed64-003

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 58 Justin Lebar (not reading bugmail) 2012-05-22 20:07:09 PDT
I triggered a bunch of Linux64 opt moth3 runs.
Comment 59 Treeherder Robot 2012-05-22 20:38:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11957979&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitests-3/5 on 2012-05-22 13:16:10
slave: talos-r3-fed64-068

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 60 Treeherder Robot 2012-05-22 21:37:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11973177&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-22 21:17:54
slave: talos-r3-fed64-043

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 61 Treeherder Robot 2012-05-23 01:43:05 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11968612&tree=Try
Rev3 Fedora 12 try debug test mochitests-3/5 on 2012-05-22 18:33:29
slave: talos-r3-fed-050

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 62 Treeherder Robot 2012-05-23 02:08:40 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11979322&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-23 01:13:24
slave: talos-r3-fed-038

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 63 Treeherder Robot 2012-05-23 03:26:27 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982124&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-23 03:15:14
slave: talos-r3-fed-025

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 64 Treeherder Robot 2012-05-23 03:26:57 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982046&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test mochitests-3/5 on 2012-05-23 03:13:57
slave: talos-r3-fed64-029

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 65 Treeherder Robot 2012-05-23 03:28:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982046&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test mochitests-3/5 on 2012-05-23 03:13:57
slave: talos-r3-fed64-029

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 66 Treeherder Robot 2012-05-23 03:28:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982124&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-23 03:15:14
slave: talos-r3-fed-025

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 67 Treeherder Robot 2012-05-23 03:32:38 PDT
longsonr
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982265&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 03:20:20
slave: talos-r3-fed64-019

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 68 Treeherder Robot 2012-05-23 03:32:57 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982265&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 03:20:20
slave: talos-r3-fed64-019

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 69 Treeherder Robot 2012-05-23 03:56:41 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982785&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 03:36:42
slave: talos-r3-fed-021

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 70 Treeherder Robot 2012-05-23 05:31:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11985316&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-3/5 on 2012-05-23 04:58:54
slave: talos-r3-fed-023

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 71 Treeherder Robot 2012-05-23 05:31:22 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11985598&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitests-3/5 on 2012-05-23 05:05:48
slave: talos-r3-fed64-022

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 72 Treeherder Robot 2012-05-23 05:59:41 PDT
bugs%pettay.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=11986417&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-23 05:28:37
slave: talos-r3-fed-020

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 73 Dale Harvey (:daleharvey) 2012-05-23 06:01:33 PDT
Good thing you triggered those tests

So for this to fail, either paintPending is wrong, or ctx.drawWindow isnt picking up the painted page

I will try to go a bit deeper into what went wrong, I would suspect ctx.drawWindow, but I am beginning to get a bit stuck as this is impossible to reproduce locally and I dont have much background in this code
Comment 74 Treeherder Robot 2012-05-23 07:29:45 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11988705&tree=Fx-Team
Rev3 Fedora 12 fx-team pgo test mochitests-3/5 on 2012-05-23 06:56:55
slave: talos-r3-fed-019

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3415 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 75 Treeherder Robot 2012-05-23 10:02:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11992340&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitests-3/5 on 2012-05-23 09:07:58
slave: talos-r3-fed-023

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 76 Treeherder Robot 2012-05-23 10:02:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11992340&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitests-3/5 on 2012-05-23 09:07:58
slave: talos-r3-fed-023

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 77 Dale Harvey (:daleharvey) 2012-05-23 11:35:31 PDT
jlebar, looking futher into this is getting pretty hairy, and its only supposed to be a smoke test to make sure that the current display of the page is captured, not to test the synchronicity of the paint event etc

How about we trigger another bunch of runs and as long as 

> ok(screenshots[0] !== screenshots[1], 'Screenshots differ');
  
passes then we are good, I can write up a new test + file a bug for ctx.drawWindow + mozpaintafter if needed
Comment 78 Justin Lebar (not reading bugmail) 2012-05-23 11:41:48 PDT
> How about we trigger another bunch of runs and as long as 
> 
> > ok(screenshots[0] !== screenshots[1], 'Screenshots differ');
>   
> passes then we are good, I can write up a new test + file a bug for
> ctx.drawWindow + mozpaintafter if needed

Fine by me.  You should be able trigger the extra tests from TBPL; once the Linux64-opt mochitest-3 starts running (turns from light gray to dark gray), click the 3 and then click the plus sign in the bottom left box a bunch of times.  (Or come find me.)
Comment 79 Treeherder Robot 2012-05-23 12:03:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982014&tree=Services-Central
Rev3 Fedora 12x64 services-central opt test mochitests-3/5 on 2012-05-23 03:07:12
slave: talos-r3-fed64-053

3414 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 80 Treeherder Robot 2012-05-23 14:40:16 PDT
terrence
https://tbpl.mozilla.org/php/getParsedLog.php?id=11997259&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 12:36:45
slave: talos-r3-fed-021

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 81 Treeherder Robot 2012-05-23 15:33:17 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12000803&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-23 15:08:05
slave: talos-r3-fed-070

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 82 Treeherder Robot 2012-05-23 15:33:59 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12000803&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-05-23 15:08:05
slave: talos-r3-fed-070

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 83 Treeherder Robot 2012-05-23 15:46:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12001492&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 15:32:16
slave: talos-r3-fed-008

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 84 Treeherder Robot 2012-05-23 17:03:18 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12004144&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitests-3/5 on 2012-05-23 16:43:17
slave: talos-r3-fed64-039

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 85 Treeherder Robot 2012-05-23 17:03:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12004144&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitests-3/5 on 2012-05-23 16:43:17
slave: talos-r3-fed64-039

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 86 Dale Harvey (:daleharvey) 2012-05-23 17:47:47 PDT
Created attachment 626656 [details] [diff] [review]
fix expectation of getScreenshot api

I have created a bug on the dom/layout/view rendering @ https://bugzilla.mozilla.org/show_bug.cgi?id=758081

There was one complete failure during the last run but that looks like a build bot issue, the rest were all the initial blank screenshot

Do you want me to push this to try as well?
Comment 87 Treeherder Robot 2012-05-23 18:53:17 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12005397&tree=Oak
Rev3 Fedora 12x64 oak opt test mochitests-3/5 on 2012-05-23 17:27:59
slave: talos-r3-fed64-058

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 88 Dale Harvey (:daleharvey) 2012-05-23 19:12:43 PDT
pushed to try anyway

https://tbpl.mozilla.org/?tree=Try&rev=36c4d7773c27

will trigger an extra bunch of 3's
Comment 89 Justin Lebar (not reading bugmail) 2012-05-23 19:15:43 PDT
Comment on attachment 626656 [details] [diff] [review]
fix expectation of getScreenshot api

Let me know when you're satisfied with the try run and we can check this in.  (I'm also OK if you want to cancel the try run and check this in as-is; it seems pretty likely that removing this line should fix the intermittent orange.)
Comment 90 Treeherder Robot 2012-05-23 19:40:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12007607&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-3/5 on 2012-05-23 18:32:49
slave: talos-r3-fed-033

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 91 Dale Harvey (:daleharvey) 2012-05-23 20:55:28 PDT
I was pushing to try for the setVisible patch, just figured I would do this one at the same time, so yeh I am happy for this to get checked in. Cheers
Comment 92 Justin Lebar (not reading bugmail) 2012-05-23 20:58:34 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/30094d3d116e
Comment 93 Treeherder Robot 2012-05-23 21:27:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12007539&tree=Profiling
Rev3 Fedora 12 profiling opt test mochitests-3/5 on 2012-05-23 18:31:29
slave: talos-r3-fed-021

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 94 Treeherder Robot 2012-05-23 21:29:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12007492&tree=Profiling
Rev3 Fedora 12x64 profiling opt test mochitests-3/5 on 2012-05-23 18:29:17
slave: talos-r3-fed64-042

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 95 Treeherder Robot 2012-05-24 03:51:54 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12021113&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test mochitests-3/5 on 2012-05-24 03:36:32
slave: talos-r3-fed64-066

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 96 Treeherder Robot 2012-05-24 04:35:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12022036&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-24 04:15:26
slave: talos-r3-fed-013

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 97 Treeherder Robot 2012-05-24 04:36:11 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12022036&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-24 04:15:26
slave: talos-r3-fed-013

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 98 Treeherder Robot 2012-05-24 06:01:36 PDT
bbondy
https://tbpl.mozilla.org/php/getParsedLog.php?id=12015999&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2012-05-23 22:52:16
slave: talos-r3-fed-051

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 99 Treeherder Robot 2012-05-24 06:38:12 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=12025987&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test mochitests-3/5 on 2012-05-24 06:19:57
slave: talos-r3-fed-052

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 100 Ed Morley [:emorley] 2012-05-24 09:21:28 PDT
https://hg.mozilla.org/mozilla-central/rev/30094d3d116e
Comment 101 Treeherder Robot 2012-05-24 10:30:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12018406&tree=Services-Central
Rev3 Fedora 12 services-central pgo test mochitests-3/5 on 2012-05-24 00:57:54
slave: talos-r3-fed-041

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 102 Treeherder Robot 2012-05-24 10:31:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12010438&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitests-3/5 on 2012-05-23 19:56:25
slave: talos-r3-fed64-038

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 103 Daniel Holbert [:dholbert] (largely AFK until June 28) 2012-05-24 10:50:34 PDT
Just hit what looks like this bug on m-i:
 https://tbpl.mozilla.org/php/getParsedLog.php?id=12032580&tree=Mozilla-Inbound
3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ

Reopening. (apologies if I'm misunderstanding)
Comment 104 Treeherder Robot 2012-05-24 10:50:53 PDT
dholbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12032580&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-24 10:30:10
slave: talos-r3-fed64-017

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 105 Dale Harvey (:daleharvey) 2012-05-24 11:14:08 PDT
Nope that is that this same bug that was assumed fix

I am somewhat lost on how to test this now, we know the functionality works as we want it to, however testing it reliably without making certain assumptions on mozpaintafter seems impossible
Comment 106 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-05-24 16:33:32 PDT
How exactly does the getScreenshot API work? I see that you call Services.DOMRequest.createRequest(frameElement.ownerDocument.defaultView) but I have no idea what that does.
Comment 107 Treeherder Robot 2012-05-24 17:55:09 PDT
billm
https://tbpl.mozilla.org/php/getParsedLog.php?id=12034019&tree=Try
Rev3 Fedora 12x64 try opt test mochitests-3/5 on 2012-05-24 11:17:38
slave: talos-r3-fed64-042

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 108 Treeherder Robot 2012-05-25 01:41:40 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12057195&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-3/5 on 2012-05-25 01:05:04
slave: talos-r3-fed-060

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 109 Treeherder Robot 2012-05-25 03:01:54 PDT
capella
https://tbpl.mozilla.org/php/getParsedLog.php?id=12059538&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2012-05-25 02:45:46
slave: talos-r3-fed-016

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 110 Treeherder Robot 2012-05-25 04:25:25 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12061453&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-25 04:11:26
slave: talos-r3-fed-062

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 111 Dale Harvey (:daleharvey) 2012-05-25 05:04:52 PDT
DomRequest just returns a promise to the user so they can receive the result of the call

getScreenshot is called on the chrome process, which sends a message to the content process to use a ctx.drawWindow to draw the current window to a canvas, the image data is returned

This test is 

1. setting iframe to a blue page
2. waiting for the page to fire loadend
3. waiting for the page to fire a mozafterpaint (if one is pending)
4. using ctx.drawWindow

Then repeating that for a green page.

I expected that by waiting for both onload and mozafterpaint that the current screen will be fully painted and the image data returned will be a blue and a green page, what is actually happening is that the image data returned is blank

I think the bug is in ctx.drawWindow, and have filed a bug on it, https://bugzilla.mozilla.org/show_bug.cgi?id=758081

I dont think I have much of a choice but to find out where that bug is to fix this test, it just goes a lot lower than I am familiar with
Comment 112 Treeherder Robot 2012-05-25 07:24:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12067066&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test mochitests-3/5 on 2012-05-25 07:09:17
slave: talos-r3-fed64-070

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
Comment 113 Treeherder Robot 2012-05-25 13:40:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12074840&tree=Services-Central
Rev3 Fedora 12x64 services-central debug test mochitests-3/5 on 2012-05-25 11:11:23
slave: talos-r3-fed64-004

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 114 Treeherder Robot 2012-05-25 15:12:11 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12081342&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test mochitests-3/5 on 2012-05-25 14:51:10
slave: talos-r3-fed64-063

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | First Screenshot is not blank
3412 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 115 Treeherder Robot 2012-05-27 10:11:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12113050&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-3/5 on 2012-05-27 06:56:01
slave: talos-r3-fed-065

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 116 Treeherder Robot 2012-05-27 11:44:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12113046&tree=Services-Central
Rev3 Fedora 12 services-central pgo test mochitests-3/5 on 2012-05-27 06:56:01
slave: talos-r3-fed-038

3411 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 117 Treeherder Robot 2012-05-27 22:43:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12123048&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitests-3/5 on 2012-05-27 22:30:06
slave: talos-r3-fed64-013

3416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 118 Treeherder Robot 2012-05-28 19:02:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12139447&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitests-3/5 on 2012-05-28 13:00:13
slave: talos-r3-fed64-070

3416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 119 Treeherder Robot 2012-05-29 12:22:05 PDT
hurley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12162464&tree=Try
Rev3 Fedora 12x64 try debug test mochitests-3/5 on 2012-05-29 10:02:25
slave: talos-r3-fed64-038

3416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 120 Dale Harvey (:daleharvey) 2012-05-29 17:58:26 PDT
Created attachment 628168 [details] [diff] [review]
Change test strategy for screenshot API

Will push to try and trigger as many runs of 3 that I can :)
Comment 121 Dale Harvey (:daleharvey) 2012-05-29 22:26:13 PDT
Pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=ff7fc82dc8a9
Comment 122 Justin Lebar (not reading bugmail) 2012-05-30 07:10:59 PDT
>+        content.document.defaultView.setTimeout(function() {
>+          iframe1.getScreenshot().onsuccess = screenshotLoaded;
>+        }, 200);

setTimeout(0) should work just as well; no harm in spinning the CPU.  We try not to rely on setTimeout(N) for N > 0 because, for example, someone could try to change the mochitest timeout to 1s, which would be bad here...

>+    var attempts = 10;

We shouldn't have a max-attempts variable; it's just asking for a less-intermittent orange.  The test framework will kill the test if it runs too long, so we should just poll infinitely and rely on eventually being killed.
Comment 123 Justin Lebar (not reading bugmail) 2012-05-30 07:11:14 PDT
Comment on attachment 628168 [details] [diff] [review]
Change test strategy for screenshot API

r=me with those changes.
Comment 124 Treeherder Robot 2012-05-30 14:47:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12209278&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitests-3/5 on 2012-05-30 14:25:57
slave: talos-r3-fed64-011

3416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ
Comment 125 Dale Harvey (:daleharvey) 2012-05-30 17:20:52 PDT
Created attachment 628545 [details] [diff] [review]
Change test strategy for screenshot API

I am waiting on doing a full rebuild so havent tested yet
Comment 126 Dale Harvey (:daleharvey) 2012-05-30 17:43:14 PDT
Ok tested, works here, want another try run or is this good?
Comment 127 Justin Lebar (not reading bugmail) 2012-05-30 18:42:55 PDT
Comment on attachment 628545 [details] [diff] [review]
Change test strategy for screenshot API

I don't think we need another try run; this is good.  Want me to push it?
Comment 128 Dale Harvey (:daleharvey) 2012-05-30 19:00:45 PDT
Yup good by me, cheers
Comment 129 Justin Lebar (not reading bugmail) 2012-05-30 19:15:58 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/963ebb01fcba
Comment 130 Ed Morley [:emorley] 2012-05-31 05:54:08 PDT
https://hg.mozilla.org/mozilla-central/rev/963ebb01fcba
Comment 131 Treeherder Robot 2012-06-03 03:34:28 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12274657&tree=Try
Rev3 Fedora 12 try opt test mochitests-3/5 on 2012-06-01 07:14:55
slave: talos-r3-fed-033

3416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame9.html | Screenshots differ

Note You need to log in before you can comment on or make changes to this bug.